templates:
- autotools
- base

catalog:
  title: NASM Portable Assembler

variables:
  repository: https://www.nasm.us/pub/nasm/releasebuilds/${numeric-version}/nasm-${numeric-version}.tar.gz
  scm: archive

  extra-provides:
  - nature: program
    target: nasm
    version: ${numeric-version}
  - '@{next-value|[]}'

versions:
- pattern: '^[0-9]+\.[0-9]+\.[0-9]+'
  variables:
    numeric-version: ${match:0}

- name: current
  variables:
    numeric-version: 2.13.03
